Bug 227159 - security/keepassxc: Update to 2.3.1
Summary: security/keepassxc: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-04-01 08:18 UTC by Alexandre C. Guimarães
Modified: 2018-04-21 10:48 UTC (History)
2 users (show)

See Also:
melanhit: maintainer-feedback+


Attachments
Updating to version 2.3.1. (14.40 KB, patch)
2018-04-01 08:18 UTC, Alexandre C. Guimarães
no flags Details | Diff
Update to version 2.3.1 (16.82 KB, patch)
2018-04-01 20:33 UTC, Alexandre C. Guimarães
melanhit: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-04-01 08:18:12 UTC
Created attachment 192035 [details]
Updating to version 2.3.1.

Attached a patch to:

- update to version 2.3.1
- add new dependencies
- switch to DISTVERSION
- switch to using upstream published tarball instead of the automatic generated ones[1]
- minors

[1] https://marc.info/?l=openbsd-ports&m=151973450514279&w=2

Thanks.
Comment 1 Alexandre C. Guimarães freebsd_committer 2018-04-01 20:33:36 UTC
Created attachment 192076 [details]
Update to version 2.3.1

Same as the previous + updated pkg-descr. :)
Comment 2 Andrew Romanenko 2018-04-03 20:14:40 UTC
thanks Alexandre!)
Comment 3 Andrew Romanenko 2018-04-17 19:13:45 UTC
why pr is stil open?
Comment 4 commit-hook freebsd_committer 2018-04-18 10:35:48 UTC
A commit references this bug:

Author: krion
Date: Wed Apr 18 10:35:28 UTC 2018
New revision: 467701
URL: https://svnweb.freebsd.org/changeset/ports/467701

Log:
  Update to version 2.3.1

  PR:		227159
  Submitted by:	Alexandre C. Guimar?es <lebarondemerde@privacychain.ch>
  Approved by:	maintainer

Changes:
  head/security/keepassxc/Makefile
  head/security/keepassxc/distinfo
  head/security/keepassxc/files/patch-CMakeLists.txt
  head/security/keepassxc/files/patch-src_CMakeLists.txt
  head/security/keepassxc/pkg-descr
  head/security/keepassxc/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-04-21 10:48:13 UTC
A commit references this bug:

Author: tobik
Date: Sat Apr 21 10:48:03 UTC 2018
New revision: 467871
URL: https://svnweb.freebsd.org/changeset/ports/467871

Log:
  security/keepassxc: Unbreak build without AUTOTYPE

  ports r467701 broke it

  ===>  Building package for keepassxc-2.3.1
  pkg-static: Unable to access file /wrkdirs/usr/ports/security/keepassxc/work/stage/usr/local/lib/keepassxc/libkeepassx-autotype-xcb.so:No such file or directory
  *** Error code 1

  PR:		227159

Changes:
  head/security/keepassxc/pkg-plist